PDA

Ver la Versión Completa : Cambiar Recovery


manuelhazard
01/09/11, 00:56:08
Hola a todos,

Tengo el Rom Manager, con el ClockWorkMod 5.0.0.1, y al querer instalar una nueva radio, me da este problema:

Opening update package...
Install update...
Amend scripting (update-script) is no longer supported.
Amend scripting was deprecated by Google in Android 1.5.
It was necesary to remove it when upgrading to the ClockworkMod 3.0 Gingerbread based recovery.
Please switch to Edify scripting (updater-script and update-binary) to create working update zip packages.
Installation aborted.
Necesito saber como puedo instalar el ClockWorkMod inferior a la versión 3, o como hacer con algun otro que funcione. Leyendo por los foros de HTCMANIA (en la DESIRE), encontre esto:


El problema es que no soporta los ficheros que usan los script "Amend", sólo los "edify", (no sé en que diferencian, pero creo que los Amend son más antiguos o algo así, si alguien lo sabe que lo diga).

Yo acabo de cambiar hoy de recovery, pero con el ClockWorkMod que es el que tenía, pasaba lo mismo a partir de la versión 3.x.x, y lo que tienes que hacer es flashear antes un zip de una versión anterior, la 2.5.1.8 ( http://www.wuala.com/HTC_Desire/Recovery/ClockWorkMod/ClockWorkMod%20Recovery%20v.2.5.1.8%20Bravo%20en%2 0Español/update_ClockWorkMod_Recovery_v.2.5.1.8_bravo-es.zip (http://www.wuala.com/HTC_Desire/Recovery/ClockWorkMod/ClockWorkMod%20Recovery%20v.2.5.1.8%20Bravo%20en%2 0Espa%C3%B1ol/update_ClockWorkMod_Recovery_v.2.5.1.8_bravo-es.zip) ), y automáticamente se ejecuta y arranca, pero no se instala, por lo tú que sigues con el recovery que tengas, y cuando vuelvas a flashear algo con el script Amend, te tocará volver a flashearlo. Es muy fácil y no se tarda nada. :D

Otra opción sería cambiarte al recovery AmonRA o a una versión anterior a las 3.x.x del ClockWorkMod, que sí leen esos scripts.

Espero que te sirva.

Edito porque me he dado cuenta que te he escrito la respuesta, no sé por qué, dando por hecho que tenías el que yo acabo de instalar, aunque lo más probable es que tengas el ClockWorkMod 3.x.x.x, en cualquier caso la solución es esa, usar un CWM 2.x.x.x o un AmonRA.


Espero poder encontrar una solución.

Muchas gracias!!

kekemeno
01/09/11, 08:17:25
Pues no lo sé seguro pero en el ROM Manager, en el menú principal, abajo del todo creo que hay una opción para flashear recoveries alternativos. Prueba